## rust-isahc 1.7.2+ds

=== Makefile ===
.PHONY: build
build:
	cargo build

.PHONY: test
test:
	cargo test

.PHONY: bench
bench:
	cargo bench -p isahc-benchmarks

## rust-isahc 1.7.2

=== debian/changelog ===
rust-isahc (1.7.2-1) unstable; urgency=medium

  * Package isahc 1.7.2 from crates.io using debcargo 2.5.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 01 Nov 2022 09:21:41 +0100

=== debian/control ===
Source: rust-isahc
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-channel-1+default-dev (>= 1.4.2-~~) <!nocheck>,
 librust-castaway-0.2+default-dev (>= 0.2.2-~~) <!nocheck>,
 librust-crossbeam-utils-0.8+default-dev <!nocheck> | librust-crossbeam-utils-0.7+default-dev <!nocheck>,
 librust-curl-0.4+default-dev (>= 0.4.36-~~) <!nocheck>,
 librust-curl-0.4+http2-dev (>= 0.4.36-~~) <!nocheck>,
 librust-curl-0.4+static-curl-dev (>= 0.4.36-~~) <!nocheck>,
 librust-curl-sys-0.4+default-dev (>= 0.4.49-~~) <!nocheck>,
 librust-encoding-rs-0.8+default-dev <!nocheck>,
 librust-event-listener-2+default-dev (>= 2.5.3-~~) <!nocheck>,
 librust-futures-lite-1+default-dev (>= 1.10.1-~~) <!nocheck>,
 librust-http-0.2+default-dev (>= 0.2.1-~~) <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-mime-0.3+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-polling-2+default-dev <!nocheck>,
 librust-slab-0.4+default-dev <!nocheck>,
 librust-sluice-0.5+default-dev (>= 0.5.4-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.17-~~) <!nocheck>,
 librust-tracing-0.1+log-dev (>= 0.1.17-~~) <!nocheck>,
 librust-tracing-futures-0.2+std-dev <!nocheck>,
 librust-tracing-futures-0.2+std-future-dev <!nocheck>,
 librust-url-2+default-dev (>= 2.1-~~) <!nocheck>,
 librust-waker-fn-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/isahc]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/isahc
Rules-Requires-Root: no

Package: librust-isahc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-channel-1+default-dev (>= 1.4.2-~~),
 librust-castaway-0.2+default-dev (>= 0.2.2-~~),
 librust-crossbeam-utils-0.8+default-dev | librust-crossbeam-utils-0.7+default-dev,
 librust-curl-0.4+default-dev (>= 0.4.36-~~),
 librust-curl-0.4+http2-dev (>= 0.4.36-~~),
 librust-curl-0.4+static-curl-dev (>= 0.4.36-~~),
 librust-curl-0.4+static-ssl-dev (>= 0.4.36-~~),
 librust-curl-sys-0.4+default-dev (>= 0.4.49-~~),
 librust-encoding-rs-0.8+default-dev,
 librust-event-listener-2+default-dev (>= 2.5.3-~~),
 librust-futures-lite-1+default-dev (>= 1.10.1-~~),
 librust-http-0.2+default-dev (>= 0.2.1-~~),
 librust-httpdate-1+default-dev,
 librust-log-0.4+default-dev,
 librust-mime-0.3+default-dev,
 librust-once-cell-1+default-dev,
 librust-parking-lot-0.12+default-dev,
 librust-polling-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-slab-0.4+default-dev,
 librust-sluice-0.5+default-dev (>= 0.5.4-~~),
 librust-tracing-0.1+default-dev (>= 0.1.17-~~),
 librust-tracing-0.1+log-dev (>= 0.1.17-~~),
 librust-tracing-futures-0.2+std-dev,
 librust-tracing-futures-0.2+std-future-dev,
 librust-url-2+default-dev (>= 2.1-~~),
 librust-waker-fn-1+default-dev
Provides:
 librust-isahc+cookies-dev (= ${binary:Version}),
 librust-isahc+default-dev (= ${binary:Version}),
 librust-isahc+encoding-rs-dev (= ${binary:Version}),
 librust-isahc+http2-dev (= ${binary:Version}),
 librust-isahc+httpdate-dev (= ${binary:Version}),
 librust-isahc+json-dev (= ${binary:Version}),
 librust-isahc+mime-dev (= ${binary:Version}),
 librust-isahc+nightly-dev (= ${binary:Version}),
 librust-isahc+parking-lot-dev (= ${binary:Version}),
 librust-isahc+serde-dev (= ${binary:Version}),
 librust-isahc+serde-json-dev (= ${binary:Version}),
 librust-isahc+static-curl-dev (= ${binary:Version}),
 librust-isahc+static-ssl-dev (= ${binary:Version}),
 librust-isahc+text-decoding-dev (= ${binary:Version}),
 librust-isahc+unstable-interceptors-dev (= ${binary:Version}),
 librust-isahc-1-dev (= ${binary:Version}),
 librust-isahc-1+cookies-dev (= ${binary:Version}),
 librust-isahc-1+default-dev (= ${binary:Version}),
 librust-isahc-1+encoding-rs-dev (= ${binary:Version}),
 librust-isahc-1+http2-dev (= ${binary:Version}),
 librust-isahc-1+httpdate-dev (= ${binary:Version}),
 librust-isahc-1+json-dev (= ${binary:Version}),
 librust-isahc-1+mime-dev (= ${binary:Version}),
 librust-isahc-1+nightly-dev (= ${binary:Version}),
 librust-isahc-1+parking-lot-dev (= ${binary:Version}),
 librust-isahc-1+serde-dev (= ${binary:Version}),
 librust-isahc-1+serde-json-dev (= ${binary:Version}),
 librust-isahc-1+static-curl-dev (= ${binary:Version}),
 librust-isahc-1+static-ssl-dev (= ${binary:Version}),
 librust-isahc-1+text-decoding-dev (= ${binary:Version}),
 librust-isahc-1+unstable-interceptors-dev (= ${binary:Version}),
 librust-isahc-1.7-dev (= ${binary:Version}),
 librust-isahc-1.7+cookies-dev (= ${binary:Version}),
 librust-isahc-1.7+default-dev (= ${binary:Version}),
 librust-isahc-1.7+encoding-rs-dev (= ${binary:Version}),
 librust-isahc-1.7+http2-dev (= ${binary:Version}),
 librust-isahc-1.7+httpdate-dev (= ${binary:Version}),
 librust-isahc-1.7+json-dev (= ${binary:Version}),
 librust-isahc-1.7+mime-dev (= ${binary:Version}),
 librust-isahc-1.7+nightly-dev (= ${binary:Version}),
 librust-isahc-1.7+parking-lot-dev (= ${binary:Version}),
 librust-isahc-1.7+serde-dev (= ${binary:Version}),
 librust-isahc-1.7+serde-json-dev (= ${binary:Version}),
 librust-isahc-1.7+static-curl-dev (= ${binary:Version}),
 librust-isahc-1.7+static-ssl-dev (= ${binary:Version}),
 librust-isahc-1.7+text-decoding-dev (= ${binary:Version}),
 librust-isahc-1.7+unstable-interceptors-dev (= ${binary:Version}),
 librust-isahc-1.7.2-dev (= ${binary:Version}),
 librust-isahc-1.7.2+cookies-dev (= ${binary:Version}),
 librust-isahc-1.7.2+default-dev (= ${binary:Version}),
 librust-isahc-1.7.2+encoding-rs-dev (= ${binary:Version}),
 librust-isahc-1.7.2+http2-dev (= ${binary:Version}),
 librust-isahc-1.7.2+httpdate-dev (= ${binary:Version}),
 librust-isahc-1.7.2+json-dev (= ${binary:Version}),
 librust-isahc-1.7.2+mime-dev (= ${binary:Version}),
 librust-isahc-1.7.2+nightly-dev (= ${binary:Version}),
 librust-isahc-1.7.2+parking-lot-dev (= ${binary:Version}),
 librust-isahc-1.7.2+serde-dev (= ${binary:Version}),
 librust-isahc-1.7.2+serde-json-dev (= ${binary:Version}),
 librust-isahc-1.7.2+static-curl-dev (= ${binary:Version}),
 librust-isahc-1.7.2+static-ssl-dev (= ${binary:Version}),
 librust-isahc-1.7.2+text-decoding-dev (= ${binary:Version}),
 librust-isahc-1.7.2+unstable-interceptors-dev (= ${binary:Version})
Description: Practical HTTP client that is fun to use - Rust source code
 This package contains the source for the Rust isahc crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2 --all-targets --all-features
Features: test-name=rust-isahc:@
Depends: dh-cargo (>= 18), librust-env-logger-0.9+default-dev, librust-flate2-1+default-dev (>= 1.0.3-~~), librust-indicatif-0.16+default-dev, librust-rayon-1+default-dev, librust-serde-json-1+default-dev, librust-static-assertions-1+default-dev (>= 1.1-~~), librust-structopt-0.3+default-dev, librust-tempfile-3+default-dev (>= 3.1-~~), librust-tracing-subscriber-0.3+default-dev | librust-tracing-subscriber-0.2+default-dev (>= 0.2.12-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2 --all-targets --no-default-features --features cookies
Features: test-name=librust-isahc-dev:cookies
Depends: dh-cargo (>= 18), librust-env-logger-0.9+default-dev, librust-flate2-1+default-dev (>= 1.0.3-~~), librust-indicatif-0.16+default-dev, librust-rayon-1+default-dev, librust-serde-json-1+default-dev, librust-static-assertions-1+default-dev (>= 1.1-~~), librust-structopt-0.3+default-dev, librust-tempfile-3+default-dev (>= 3.1-~~), librust-tracing-subscriber-0.3+default-dev | librust-tracing-subscriber-0.2+default-dev (>= 0.2.12-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2 --all-targets 
Features: test-name=librust-isahc-dev:default
Depends: dh-cargo (>= 18), librust-env-logger-0.9+default-dev, librust-flate2-1+default-dev (>= 1.0.3-~~), librust-indicatif-0.16+default-dev, librust-rayon-1+default-dev, librust-serde-json-1+default-dev, librust-static-assertions-1+default-dev (>= 1.1-~~), librust-structopt-0.3+default-dev, librust-tempfile-3+default-dev (>= 3.1-~~), librust-tracing-subscriber-0.3+default-dev | librust-tracing-subscriber-0.2+default-dev (>= 0.2.12-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2 --all-targets --no-default-features --features encoding_rs
Features: test-name=librust-isahc-dev:encoding_rs
Depends: dh-cargo (>= 18), librust-env-logger-0.9+default-dev, librust-flate2-1+default-dev (>= 1.0.3-~~), librust-indicatif-0.16+default-dev, librust-rayon-1+default-dev, librust-serde-json-1+default-dev, librust-static-assertions-1+default-dev (>= 1.1-~~), librust-structopt-0.3+default-dev, librust-tempfile-3+default-dev (>= 3.1-~~), librust-tracing-subscriber-0.3+default-dev | librust-tracing-subscriber-0.2+default-dev (>= 0.2.12-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2 --all-targets --no-default-features --features http2
Features: test-name=librust-isahc-dev:http2

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/isahc-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/isahc .*/crates/isahc/@ANY_VERSION@/download

## rust-isahc 1.7.2%2Bds

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+ds,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/sagebind/isahc/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## rust-isahc 1.7.2+ds

=== debian/changelog ===
rust-isahc (1.7.2+ds-20) unstable; urgency=medium

  * extend patch 2005;
    really closes: bug#1030635, thanks (again) to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Feb 2023 01:04:40 +0100

rust-isahc (1.7.2+ds-19) unstable; urgency=medium

  * add patch cherry-picked upstream
    to update tiny_http requirement from 0.9 to 0.12;
    drop now obsolete patch 2002_tiny_http
  * add patch 2005 to skip failing tests on s390x;
    closes: bug#1030635, thanks to Adrian Bunk and werdahias

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Feb 2023 19:01:03 +0100

rust-isahc (1.7.2+ds-18) unstable; urgency=medium

  * fix patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Feb 2023 12:00:05 +0100

rust-isahc (1.7.2+ds-17) unstable; urgency=medium

  * add patch 2004 to use local static Public Suffix List;
    (build-)depend on publicsuffix

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Feb 2023 19:54:01 +0100

rust-isahc (1.7.2+ds-16) unstable; urgency=medium

  * add patch 2003 to avoid compiling broken tests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Feb 2023 12:59:48 +0100

rust-isahc (1.7.2+ds-15) unstable; urgency=medium

  * drop patch 2004 obsoleted by changes in crate threadfin
  * drop patch 2003, instead avoiding avoid checking all examples

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Feb 2023 13:14:53 +0100

rust-isahc (1.7.2+ds-14) unstable; urgency=medium

  * tighten autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Feb 2023 18:29:24 +0100

rust-isahc (1.7.2+ds-13) unstable; urgency=medium

  * fix dependencies in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Feb 2023 09:05:03 +0100

rust-isahc (1.7.2+ds-12) unstable; urgency=medium

  * stop superfluously provide virtual unversioned feature packages
  * fix syntax in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 18:28:31 +0100

rust-isahc (1.7.2+ds-11) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.2
  * change binary library package to be arch-independent
  * update dh-cargo fork
  * update copyright info: update coverage
  * update patch 2002_indicatif;
    tighten build- and autopkgtest-dependency on package
    for crate indicatif
  * fix syntax error in autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2023 15:36:58 +0100

rust-isahc (1.7.2+ds-10) unstable; urgency=medium

  * add Bug reference to patch 2004
  * fix unconditionally build-depend
    on librust-threadfin-0.1+default-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2022 05:22:55 +0100

rust-isahc (1.7.2+ds-9) unstable; urgency=medium

  * update patch 2004 to check for target_has_atomic=64

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2022 04:15:32 +0100

rust-isahc (1.7.2+ds-8) unstable; urgency=medium

  * add patch 2004
    to limit use of crate threadfin to supported architectures;
    limit build- and autopkgtest-dependency on package
    for crate threadfin on architectures armel mipsel s390x

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2022 21:47:45 +0100

rust-isahc (1.7.2+ds-7) unstable; urgency=medium

  * fix patch 2002_tiny_http

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2022 18:28:38 +0100

rust-isahc (1.7.2+ds-6) unstable; urgency=medium

  * update DEP-3 patch headers for patch 2002_castaway
  * fix update patch 2002_tiny_http to use tiny_server::ListenAddr;
    skip related still broken tests;
    tighten build- and autopkgtest-dependency
    on package for crate tiny_server
  * add patch 2003 to avoid broken example

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2022 16:01:08 +0100

rust-isahc (1.7.2+ds-5) unstable; urgency=medium

  * tighten slightly patch 2002
  * check testsuite during build;
    build-depend on librust-test-case-2+default-dev
  * have autopkgtests skip check tests
    due to failure compiling testserver on armel and mipsel,
    possible caused by testserver being a private crate
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl;
    stop set X-Cargo-Crate

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2022 12:22:46 +0100

rust-isahc (1.7.2+ds-4) unstable; urgency=medium

  * build-depend on librust-threadfin-0.1+default-dev
    librust-tracing-subscriber-0.3+default-dev;
    have autopkgtests depend on librust-test-case-2+default-dev
  * update local fork of dh-cargo
  * set X-Cargo-Crate to pick right crate in workspace
  * release to unstable even though still broken
    (caught by autopkgtests)
    to address (assumably accidental) package hijack

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Nov 2022 08:29:33 +0100

rust-isahc (1.7.2+ds-3) experimental; urgency=medium

  * add patch 2002_parking_lot
    to relax dependency on crate parking_lot
  * tidy DEP-3 patch headers
  * fix depend on librust-parking-lot-0.12+default-dev
    (not librust-parking-lot-0.11+default-dev)
  * extend long description

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Oct 2022 09:43:59 +0200

rust-isahc (1.7.2+ds-2) experimental; urgency=medium

  * avoid metapackages,
    using the equivalent of debcargo setting collapse_features=true
  * fix depend on librust-crossbeam-utils-0+default-dev
    (not librust-crossbeam-utils-0.8+default-dev)
  * update patch 2002_tiny_http patch
    to extend (not only relax downwards) dependency on crate tiny_http;
    update build-dependency on librust-tiny-http-0+default-dev
  * fix have autopkgtests depend on librust-tiny-http-0+default-dev
    (not librust-tiny-http-0.9+default-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Oct 2022 23:28:26 +0200

rust-isahc (1.7.2+ds-1) experimental; urgency=low

  * initial Release;
    closes: Bug#1022811

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Oct 2022 18:58:35 +0200

=== debian/control ===
Source: rust-isahc
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo (>= 25),
 librust-async-channel-1+default-dev <!nocheck>,
 librust-castaway-0.2+default-dev <!nocheck>,
 librust-crossbeam-utils-0+default-dev (<< 0.9) <!nocheck>,
 librust-curl-0.4+default-dev (>= 0.4.36) <!nocheck>,
 librust-curl-0.4+http2-dev (>= 0.4.36) <!nocheck>,
 librust-curl-0.4+static-curl-dev (>= 0.4.36) <!nocheck>,
 librust-curl-sys-0.4+default-dev (>= 0.4.55) <!nocheck>,
 librust-encoding-rs-0.8+default-dev <!nocheck>,
 librust-env-logger-0.9+default-dev <!nocheck>,
 librust-event-listener-2+default-dev <!nocheck>,
 librust-flate2-1+default-dev <!nocheck>,
 librust-futures-lite-1+default-dev <!nocheck>,
 librust-http-0.2+default-dev <!nocheck>,
 librust-humantime-2+default-dev <!nocheck>,
 librust-indicatif-0.17+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-mime-0.3+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-polling-2+default-dev <!nocheck>,
 librust-rayon-1+default-dev <!nocheck>,
 librust-regex-1+default-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-slab-0.4+default-dev <!nocheck>,
 librust-sluice-0.5+default-dev <!nocheck>,
 librust-static-assertions-1+default-dev <!nocheck>,
 librust-structopt-0.3+default-dev <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-test-case-2+default-dev <!nocheck>,
 librust-threadfin-0.1+default-dev <!nocheck>,
 librust-tiny-http-0.12+default-dev <!nocheck>,
 librust-tracing-0.1+default-dev <!nocheck>,
 librust-tracing-0.1+log-dev <!nocheck>,
 librust-tracing-futures-0.2+std-dev <!nocheck>,
 librust-tracing-futures-0.2+std-future-dev <!nocheck>,
 librust-tracing-subscriber-0.3+default-dev <!nocheck>,
 librust-url-2+default-dev (>= 2.1) <!nocheck>,
 librust-waker-fn-1+default-dev <!nocheck>,
 libstring-shellquote-perl,
 publicsuffix <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-isahc.git
Vcs-Browser: https://salsa.debian.org/debian/rust-isahc
Homepage: https://github.com/sagebind/isahc
Rules-Requires-Root: no

Package: librust-isahc-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-channel-1+default-dev,
 librust-castaway-0.2+default-dev,
 librust-crossbeam-utils-0+default-dev (<< 0.9),
 librust-curl-0.4+default-dev (>= 0.4.36),
 librust-curl-0.4+http2-dev (>= 0.4.36),
 librust-curl-0.4+static-curl-dev (>= 0.4.36),
 librust-curl-0.4+static-ssl-dev (>= 0.4.36),
 librust-curl-sys-0.4+default-dev (>= 0.4.55),
 librust-curl-sys-0.4+spnego-dev (>= 0.4.55),
 librust-encoding-rs-0.8+default-dev,
 librust-event-listener-2+default-dev,
 librust-futures-lite-1+default-dev,
 librust-http-0.2+default-dev,
 librust-httpdate-1+default-dev,
 librust-log-0.4+default-dev,
 librust-mime-0.3+default-dev,
 librust-once-cell-1+default-dev,
 librust-parking-lot-0.12+default-dev,
 librust-polling-2+default-dev,
 librust-publicsuffix-2+default-dev,
 librust-publicsuffix-2+std-dev,
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-slab-0.4+default-dev,
 librust-sluice-0.5+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-0.1+log-dev,
 librust-tracing-futures-0.2+std-dev,
 librust-tracing-futures-0.2+std-future-dev,
 librust-url-2+default-dev (>= 2.1),
 librust-waker-fn-1+default-dev,
 publicsuffix,
 ${misc:Depends},
Provides:
 librust-isahc-1+cookies-dev (= ${binary:Version}),
 librust-isahc-1+default-dev (= ${binary:Version}),
 librust-isahc-1+http2-dev (= ${binary:Version}),
 librust-isahc-1+json-dev (= ${binary:Version}),
 librust-isahc-1+psl-dev (= ${binary:Version}),
 librust-isahc-1+spnego-dev (= ${binary:Version}),
 librust-isahc-1+static-curl-dev (= ${binary:Version}),
 librust-isahc-1+static-ssl-dev (= ${binary:Version}),
 librust-isahc-1+text-decoding-dev (= ${binary:Version}),
 librust-isahc-1+unstable-interceptors-dev (= ${binary:Version}),
 librust-isahc-1-dev (= ${binary:Version}),
 librust-isahc-1.7-dev (= ${binary:Version}),
 librust-isahc-1.7.2-dev (= ${binary:Version}),
Description: practical HTTP client that is fun to use - Rust source code
 Isahc (pronounced like Isaac) is a practical HTTP client
 that is fun to use.
 .
 Key features:
  * Full support for HTTP/1.1 and HTTP/2.
  * Configurable request timeouts, redirect policies, Unix sockets,
    and many more settings.
  * Offers an ergonomic synchronous API
    as well as a runtime-agnostic asynchronous API
    with support for async/await.
  * Fully asynchronous core,
    with incremental reading and writing of request and response bodies
    and connection multiplexing.
  * Sessions and cookie persistence.
  * Automatic request cancellation on drop.
  * Uses the http crate as an interface for requests and responses.
 .
 This package contains the source for the Rust isahc crate,
 packaged for use with cargo and dh-cargo.

=== debian/rules ===
#!/usr/bin/make -f

# use local fork of debcargo and dh-cargo
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

TEST_BROKEN = \
 accept_headers_populated_by_default \
 header_can_be_inserted_in_httpclient_builder \
 headers_in_request_builder_must_override_headers_in_httpclient_builder \
 headers_in_request_builder_must_override_multiple_headers_in_httpclient_builder \
 multiple_headers_with_same_key_can_be_inserted_in_httpclient_builder \
 deflate_encoded_response_is_decoded_automatically \
 gzip_encoded_response_is_decoded_automatically

%:
	dh $@ --buildsystem cargo

# avoid checking examples, too broken (possibly due to use of newer tiny-http)
override_dh_auto_test:
	dh_auto_test -- --lib --bins --tests --benches --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2
 --lib --bins --tests --benches --all-features
 --no-fail-fast --
 --skip accept_headers_populated_by_default
 --skip header_can_be_inserted_in_httpclient_builder
 --skip headers_in_request_builder_must_override_headers_in_httpclient_builder
 --skip headers_in_request_builder_must_override_multiple_headers_in_httpclient_builder
 --skip multiple_headers_with_same_key_can_be_inserted_in_httpclient_builder
 --skip deflate_encoded_response_is_decoded_automatically
 --skip gzip_encoded_response_is_decoded_automatically
Features: test-name=rust-isahc:@
Depends:
 dh-cargo (>= 18),
 librust-env-logger-0.9+default-dev,
 librust-flate2-1+default-dev,
 librust-humantime-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-isahc-1-dev,
 librust-rayon-1+default-dev,
 librust-regex-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-static-assertions-1+default-dev,
 librust-structopt-0.3+default-dev,
 librust-tempfile-3+default-dev,
 librust-test-case-2+default-dev,
 librust-threadfin-0.1+default-dev,
 librust-tiny-http-0+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2
 --lib --bins --tests --benches --no-default-features --features unstable-interceptors
 --no-fail-fast --
 --skip accept_headers_populated_by_default
 --skip header_can_be_inserted_in_httpclient_builder
 --skip headers_in_request_builder_must_override_headers_in_httpclient_builder
 --skip headers_in_request_builder_must_override_multiple_headers_in_httpclient_builder
 --skip multiple_headers_with_same_key_can_be_inserted_in_httpclient_builder
 --skip deflate_encoded_response_is_decoded_automatically
 --skip gzip_encoded_response_is_decoded_automatically
Features: test-name=rust-isahc-1:unstable-interceptors
Depends:
 dh-cargo (>= 18),
 librust-env-logger-0.9+default-dev,
 librust-flate2-1+default-dev,
 librust-humantime-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-isahc-1+unstable-interceptors-dev,
 librust-rayon-1+default-dev,
 librust-regex-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-static-assertions-1+default-dev,
 librust-structopt-0.3+default-dev,
 librust-tempfile-3+default-dev,
 librust-test-case-2+default-dev,
 librust-threadfin-0.1+default-dev,
 librust-tiny-http-0+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test isahc 1.7.2
 --lib --bins --tests --benches --no-default-features
 --no-fail-fast --
 --skip accept_headers_populated_by_default
 --skip header_can_be_inserted_in_httpclient_builder
 --skip headers_in_request_builder_must_override_headers_in_httpclient_builder
 --skip headers_in_request_builder_must_override_multiple_headers_in_httpclient_builder
 --skip multiple_headers_with_same_key_can_be_inserted_in_httpclient_builder
 --skip deflate_encoded_response_is_decoded_automatically

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+ds,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/sagebind/isahc/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
